Bug 18294 - Install kicks out when formatting a SCSI HDD
Summary: Install kicks out when formatting a SCSI HDD
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-04 05:39 UTC by Matt Mead
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 16:51:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (766 bytes, text/plain)
2000-10-04 05:40 UTC, Matt Mead
no flags Details

Description Matt Mead 2000-10-04 05:39:20 UTC
When doing a standard workstation install, I set everything up to the 
point of having it start formatting the drive i was installing it on (a 
10K RPM WD 9.1GB Ultra160 SCSI HDD).  It hung for a LONG time on 
formatting the /boot partition (sda1) and then exit out giving an option 
to save the bug to post here.  Here is a raw copy of the text file it made:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 713, in 
mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (6, 'Device not configured')

Local variables in innermost frame:
size: 8707198
fsystem: ext2
self: <fstab.GuiFstab instance at 84baae0>
msg: Device not configured
doFormat: 1
errno: 6
device: sda5
instPath: /mnt/sysimage
mntpoint: /

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Matt Mead 2000-10-04 05:40:46 UTC
Created attachment 3718 [details]
anaconda dump

Comment 2 Michael Fulbright 2000-11-03 21:19:12 UTC
Did you choose to check for bad blocks when formatting?

Comment 3 Matt Mead 2000-11-03 21:48:33 UTC
No, I did not do a check for bad blocks when formatting.  These are brand new 
hard drives though, they work with NT4 and 98 no problem.

Comment 4 Michael Fulbright 2000-11-07 19:51:23 UTC
What SCSI controller is in this system?

Comment 5 Matt Mead 2000-11-08 01:10:41 UTC
Adaptec 29160N

Comment 6 Michael Fulbright 2000-11-15 16:44:24 UTC
I am going to pass this on to a QA engineer to attempt to reproduce this issue.

Comment 7 Need Real Name 2000-12-08 04:38:07 UTC
Hey, I think I have the same bug. When formating the partititions of my Seagate 
Cheetah with a tekram DC390 F, it crashes, Aarrghh...

Comment 8 Michael Fulbright 2001-02-15 16:51:07 UTC
Are there any 'sense error' messages on virtual console 3 or 4?

Comment 9 Michael Fulbright 2001-03-14 17:58:23 UTC
Closing due to inactivity. Please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.